Subject: bug#6019: 23.1; ange-ftp with VAX

From: Michael Albinus <[email-masked]>
Date: Sun, 02 May 2010 13:22:45 +0200

"Carroll, Tom" <[email-masked]> writes:

Hi,

> Attempting to perform a find-file on a VAX no longer works.  Looking
> into the ftp buffer
> reveals what appears to be the problem: the syntax of a directory
> command is incorrect.
>
> Note that this does not cause Emacs to crash - just to fail to access
> remote files.
>
> For example: in connecting to a machine called Pine (not the email
> program! - we 
> have a tree motif here) with the user tcarroll results in the following:
>
> dir [.".AP:.TCARROLL]"
> c:/DOCUME~1/tcarroll/LOCALS~1/Temp/ange-ftp3268PtF
>
> The correct syntax is created by Emacs 22.1:
>
> dir AP:[TCARROLL] c:/DOCUME~1/tcarroll/LOCALS~1/Temp/ange-ftp2724gSG
>
> I hope you understand VAX file syntax - VAX stuff is pretty far out of
> date these days.

I have no access to a VAX any longer (for 15 years or so), and from
reading the sources in ange-ftp.el I cannot find the problem.

Could you, please, apply the following:

(require 'ange-ftp)
(require 'trace)
(dolist (elt (all-completions "ange-ftp-" obarray 'functionp))
  (trace-function-background (intern elt)))

Then rerun your test and show the contents of the buffers

  *ftp ...*
  *trace-output*

Check the buffers, that they do not contain sensitive information like
your password, before sending.

> Thanks!
> Tom

Best regards, Michael.